<?php
/**
 * @copyright ONE/DEPO Project
 * @license   PHP License 3.01 <http://www.php.net/license/3_01.txt>
 */


/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */
require_once 'Net/UserAgent/Mobile.php';
/**
 * お届け先変更 確認
 *
 * @package     Customer.Mypage.Consumer.Insert.Check
 * @author      Your Name <mail@example.com>
 * @access      public
 */
class Customer_Mypage_Consumer_Insert_Check
{
    var $conregist;
    var $conregist_serial;
    var $c_pref;
    var $preflist;
    
    var $from;
    
    var $memberview;
    var $lastnm;
    var $firstnm;
    var $lastnmkana;
    var $firstnmkana;
    
    var $mobile;
    
    function setConregist($conregist)
    {
        $this -> conregist = $conregist;
    }
    
    function getConregist()
    {
        return $this -> conregist;
    }
    
    function getPrefData()
    {
        //県データを変数に取っておく
        $this->preflist = $this->c_pref->selectAll();
        $res = $this->preflist;
        return $res;
    }
    
    function prefCdToPrefName($prefcd)
    {
        if (is_array($prefcd)) $prefcd = $prefcd["code"];
        
        $prefname = $this->c_pref->selectKey($prefcd);
        $res = $prefname['prefnm'];
        return $res;
    }
    
    /**
     * execute
     *
     * @access  public
     */
    function execute()
    {
        //$this->mobile = &Net_UserAgent_Mobile::isMobile();
        $log =& LogFactory::getLog();
        $log->debug("Customer_Mypage_Consumer_Insert_Checkが実行されました", "Customer_Mypage_Consumer_Insert_Check#execute");

        return 'success';
    }
    
    function setConregist_serial($value)
    {
        $value = urldecode($value);
        $this -> conregist_serial = $value;
        $this -> conregist = unserialize($value);
        
    }

    function getConregist_serial()
    {
        return urlencode(serialize($this->conregist));
    }
    
    function isMobile()
    {
        $mobile = &Net_UserAgent_Mobile::isMobile();
        return $mobile;
    }
}
?>
